QuattroParserInternal::State Struct Reference documentation

QuattroParserInternal::State Struct Reference

the state of QuattroParser More...

## Public Member Functions
| State (libwps_tools_win::Font::Type fontType)
| constructor
bool | getColor (int id, WPSColor &color) const
| returns a color corresponding to an id
libwps_tools_win::Font::Type | getDefaultFontType () const
| return the default font style
WPSFont | getDefaultFont () const
| returns a default font (Courier12) with file's version to define the default encoding *‍/

## Public Attributes
long | m_eof
| the last file position
libwps_tools_win::Font::Type | m_fontType
| the user font type
int | m_version
| the file version
bool | m_hasLICSCharacters
| flag to know if the character
std::vector< Font > | m_fontsList
| the fonts list
WPSPageSpan | m_pageSpan
| the actual document size
int | m_actPage
| the actual page
int | m_numPages
std::string | m_headerString
| the header string
std::string | m_footerString
| the footer string

## Detailed Description

the state of QuattroParser

## Constructor & Destructor Documentation

## ◆ State()

QuattroParserInternal::State::State | ( | libwps_tools_win::Font::Type | fontType | ) |
| inlineexplicit

constructor

## Member Function Documentation

## ◆ getColor()

bool QuattroParserInternal::State::getColor | ( | int | id,
|  | WPSColor & | color ) const

returns a color corresponding to an id

## ◆ getDefaultFont()

WPSFont QuattroParserInternal::State::getDefaultFont | ( |  | ) | const
| inline

returns a default font (Courier12) with file's version to define the default encoding *‍/

## ◆ getDefaultFontType()

libwps_tools_win::Font::Type QuattroParserInternal::State::getDefaultFontType | ( |  | ) | const
| inline

return the default font style

## Member Data Documentation

## ◆ m_actPage

int QuattroParserInternal::State::m_actPage

the actual page

Referenced by State().

## ◆ m_eof

long QuattroParserInternal::State::m_eof

the last file position

Referenced by State().

## ◆ m_fontsList

std::vector<Font> QuattroParserInternal::State::m_fontsList

the fonts list

Referenced by State().

## ◆ m_fontType

libwps_tools_win::Font::Type QuattroParserInternal::State::m_fontType

the user font type

Referenced by getDefaultFontType(), and State().

## ◆ m_footerString

std::string QuattroParserInternal::State::m_footerString

the footer string

Referenced by State().

## ◆ m_hasLICSCharacters

bool QuattroParserInternal::State::m_hasLICSCharacters

flag to know if the character

Referenced by State().

## ◆ m_headerString

std::string QuattroParserInternal::State::m_headerString

the header string

Referenced by State().

## ◆ m_numPages

int QuattroParserInternal::State::m_numPages

Referenced by State().

## ◆ m_pageSpan

WPSPageSpan QuattroParserInternal::State::m_pageSpan

the actual document size

Referenced by State().

## ◆ m_version

int QuattroParserInternal::State::m_version

the file version

Referenced by getDefaultFont(), getDefaultFontType(), and State().

The documentation for this struct was generated from the following file:

- Quattro.cpp